Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001126Core InformExtensionspublic2013-07-25 11:292014-05-07 07:33
ReporterFuchsia tude 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001126: NI silently rejects header mismatch in replacing an extension's header when it is subordinate to another replacement
DescriptionOrdinarily, when you try to replace (for example) a chapter in an extension with a section of your own, NI prints an error message and halts.

But if the replacement header is subordinate (within the heading hierarchy) to another, valid replacement header, not only is that error message not printed as it should be, the second replacement never goes through at all.
Minimal Source Text To Reproduce
Include Conversation Framework by Eric Eve.

There is room.

Chapter 1 - The Discussing Action (in place of Chapter  1 - Action Definitions in Conversation Framework 
by Eric Eve)

Section 1 - Greeting definitions (in place of Chapter 1 - Greeting Definitions in Conversation Framework 
by Eric Eve)

When play begins: say "B".
Additional InformationCommenting out the third paragraph produces the correct heading level mismatch error message.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002102)
Fuchsia tude (reporter)
2013-07-25 11:32

Incidentally, WI 25.8 (and I assume the rest of WI) makes no mention of this heading level match requirement.
(0002105)
EmacsUser (manager)
2013-07-29 10:11

Confirmed. To see the effect more clearly with the attached source, compare the problem messages before and after changing ``Section'' to ``Chapter''.
(0002612)
graham (administrator)
2014-04-03 04:35

A problem message now catches this.

- Issue History
Date Modified Username Field Change
2013-07-25 11:29 Fuchsia tude New Issue
2013-07-25 11:32 Fuchsia tude Note Added: 0002102
2013-07-29 10:11 EmacsUser Note Added: 0002105
2013-07-29 10:11 EmacsUser Status new => confirmed
2014-04-03 04:35 graham Note Added: 0002612
2014-04-03 04:35 graham Status confirmed => resolved
2014-04-03 04:35 graham Resolution open => fixed
2014-04-03 04:35 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker